Update an experiment

Update an existing experiment.

Updates an existing experiment's configuration. Most fields can only be changed while the experiment is in draft status.

Requires authentication.

Request

PUT /experiment/{id}

Path Parameters

ParameterTypeRequiredDescription
idintegerYesThe ID of the experiment to update.

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

Accepts the same fields as the create endpoint. See Create a new experiment for field descriptions.

Response

Returns the updated experiment object.

Path Params
integer
required

Experiment ID

Body Params
string
required

Experiment title

string
string
enum
required

Type of experiment

Allowed:
variations
array of objects
required

List of variation segments

variations*
boolean
Defaults to true

If false, provide startDate for scheduled start

date-time

Scheduled start date (required when manualStart is false)

boolean
Defaults to false

If false, provide stoppingThreshold and stoppingMetric

number

Statistical threshold for automatic stopping

string

Metric used for automatic stopping

Headers
string
required

Makaira Instance ID

Responses

404

Not Found

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json